/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.accesscontrol;

import java.applet.AppletStub;

import org.srs3d.viewer.util.XmlTag;

/**
 * Interface for all AccessCheck implementations
 *
 * @author Karsten Klein
 *
 * @created August 23, 2002
 */
public interface AccessCheck {

    /**
     * Method description.
     *
     * @return Return description.
     */
    public String getName();

    /**
     * Method description.
     *
     * @param appletStub Parameter description.
     *
     * @return Return description.
     */
    public boolean check(AppletStub appletStub);

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void read(Object object);

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void write(Object object);

    /**
     * Method description.
     *
     * @return Return description.
     */
    public XmlTag createXmlTag();
}
