/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.accesscontrol;

import org.srs3d.viewer.util.ExceptionHandler;
import org.srs3d.viewer.util.Log;

/**
 * Class for producing a license key file from lists of names and ips.
 *
 * @author Karsrten Fries, LION bioscience AG
 *
 * @created March 22, 2002
 */
public class Reader {
    private static final Log log = new Log(Reader.class);

    /**
     * The main program for the <code>IPConverter</code> class.
     *
     * @param args The command line arguments.
     */
    public static void main(String[] args) {
        try {
            AccessControl accessControl =
                AccessControl.load(new java.net.URL("file", "localhost", args[0]));
            if (accessControl != null) {
                accessControl.dump();
                return;
            } else {
                log.error("File not found/readable error " + args[0]);
            }
        } catch (Exception e) {
            log.error("usage: IPReader <license.key>");
            ExceptionHandler.handleException(e);
        }
    }
}
