/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas;

import java.applet.AppletStub;
import java.awt.Container;

import org.srs3d.viewer.integration.datamodel.GenericDataTransferObject;
import org.srs3d.viewer.integration.datamodel.contract.ClassAttribute;
import org.srs3d.viewer.integration.datamodel.contract.GenericContract;
import org.srs3d.viewer.integration.datamodel.contract.GenericContractQualifier;
import org.srs3d.viewer.integration.interfaces.Contract;

/**
 * ApplicationContext is simply a GenericDataProvider. The class aslo defines the minimum
 * contract.
 *
 * @author Karsten Klein
 *
 * @created September 24, 2002
 */
public class ApplicationContext extends GenericDataTransferObject
    implements org.srs3d.viewer.interfaces.ApplicationContext {

    /**
     * Constructor description.
     */
    public ApplicationContext() {
        setContract(createContract());
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public final Contract createContract() {
        GenericContract contract = new GenericContract();
        contract.setContractQualifier("AppletStub",
            new GenericContractQualifier(new ClassAttribute(AppletStub.class)));
        contract.setContractQualifier("ParentContainer",
            new GenericContractQualifier(new ClassAttribute(Container.class)));
        return contract;
    }
}
