/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.filters;

import org.srs3d.viewer.j3d.ContextData;
import org.srs3d.viewer.j3d.attributes.Expanded;
import org.srs3d.viewer.j3d.attributes.Visible;
import org.srs3d.viewer.objects.AbstractObject;
import org.srs3d.viewer.objects.ObjectFilter;
import org.srs3d.viewer.objects.StateManager;

/**
 * Class description.
 *
 * @author Karsten Klein, LION bioscience AG
 */
public final class VisibleFilter implements ObjectFilter {
    private StateManager stateManager;

    /**
     * Constructor description.
     *
     * @param contextData Parameter description.
     */
    public VisibleFilter(ContextData contextData) {
        stateManager = contextData.getStateManager();
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     *
     * @return Return description.
     */
    public boolean filter(AbstractObject object) {
        return stateManager.getImmutableState(object).hasAttribute(Visible.class);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     *
     * @return Return description.
     */
    public boolean preFilter(AbstractObject object) {
        return stateManager.getImmutableState(object).hasAttribute(Expanded.class);
    }
}
