/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.loaders.pdb;

import org.srs3d.viewer.objects.ObjectContainer;

/**
 * This class parses strings for pdb ENDMDL tags and tranfers/builts the appropriate
 * datastructure in a <code>ObjectContainer</code> .
 *
 * @author Karsten Klein, 01/2001
 *
 * @created May 18, 2001
 * @since 1.0
 */
public final class PdbEndMdlParser extends AbstractPdbParser {

    /** Description of the field. */
    public static final String TAG = new String("ENDMDL");

    /**
     * Parses the formated pdb string for ENDMDL data. The data is stored locally and no
     * object is created.
     *
     * @param string Description of parameter.
     */
    public void create(String string) {
        clear();
    }

    /**
     * Description of the method.
     *
     * @param objectContainer Description of parameter.
     */
    public void visit(ObjectContainer objectContainer) {
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public boolean isTerminal() {
        return true;
    }
}
