/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.modules;

import java.awt.event.ActionEvent;

import javax.swing.JCheckBoxMenuItem;

import org.srs3d.viewer.bioatlas.contexts.MoleculeContext;
import org.srs3d.viewer.j3d.ContextData;

/**
 * @author Karsten Klein
 *
 * @created February 06, 2002
 */
public class SlabModule extends CheckModule {
    private String name;

    /**
     * <code>ResetModule</code> constructor.
     *
     * @param name Description of parameter.
     * @param context Description of parameter.
     */
    public SlabModule(String name, ContextData contextData) {
        super(name, contextData);
    }

    /**
     * Description of the method.
     */
    public void updateIntern() {
        JCheckBoxMenuItem component = getCheckComponent();
        if (component != null) {
            if (getContextData().getContext().getClass() == MoleculeContext.class) {
                MoleculeContext context =
                    (MoleculeContext) getContextData().getContext();
                component.setState(context.isModelClip());
                component.setEnabled(true);
            } else {
                component.setEnabled(false);
                component.setState(false);
            }
        }
    }

    /**
     * Description of the method.
     *
     * @param e Description of parameter.
     */
    public void react(ActionEvent e) {
        MoleculeContext context =
            (MoleculeContext) getContextData().getContext();
        context.activateModelClip(!context.isModelClip());
    }
}
