/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.modules;

import java.awt.event.ActionEvent;

import org.srs3d.viewer.j3d.Context;
import org.srs3d.viewer.j3d.ContextData;

/**
 * <code>Module</code> implementation controlling the solid rendering switch.
 *
 * @author Karsten Klein
 *
 * @created May 14, 2001
 */
public class SolidRenderingModule extends CheckModule {

    /**
     * <code>SolidRenderingModule</code> constructor.
     *
     * @param name Description of parameter.
     */
    public SolidRenderingModule(String name, ContextData contextData) {
        super(name, contextData);
        setOperationSerializeable(false);
    }

    /**
     * Description of the method.
     *
     * @param e Description of parameter.
     */
    public void react(ActionEvent e) {
        Context context = getContextData().getContext();
        boolean state;
        if (context.isAutoSwitchEnabled()) {
            state = false;
        } else {
            state = !context.isSolidRenderingEnabled();
        }
        context.setSolidRendering(state);
        context.setAutoSwitch(false);
    }

    /**
     * Method description.
     */
    public void updateIntern() {
        Context context = getContextData().getContext();
        boolean flag = context.isAutoSwitchEnabled();
        if (flag) {
            flag = false;
        } else {
            flag = !context.isSolidRenderingEnabled();
        }
        if (getCheckComponent() != null) {
            getCheckComponent().setState(flag);
        }
    }
}
