/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.modules;

import java.util.Collection;
import java.util.Iterator;

import org.srs3d.viewer.bioatlas.objects.Residue;
import org.srs3d.viewer.bioatlas.objects.Subchain;
import org.srs3d.viewer.j3d.ContextData;

/**
 * @author Karsten Klein
 *
 * @created August 06, 2001
 */
public abstract class SubchainToResidueCheck extends RepresentationCheck {

    /**
     * Description of the method.
     *
     * @param contextData Description of parameter.
     * @param objects Description of parameter.
     *
     * @return Description of the returned value.
     */
    public int check(ContextData contextData, Collection objects) {
        int checkResult = 0;
        Collection extracted =
            extractDownAssociated(contextData, objects, Subchain.class);
        Iterator iterator = extracted.iterator();
        while (!checkSome(checkResult) && iterator.hasNext()) {
            checkResult |= check(contextData, (Subchain) iterator.next());
        }
        extracted = extractDownAssociated(contextData, objects, Residue.class);
        iterator = extracted.iterator();
        while (!checkSome(checkResult) && iterator.hasNext()) {
            checkResult |= check(contextData, (Residue) iterator.next());
        }
        return checkResult;
    }

    /**
     * Description of the method.
     *
     * @param contextData Description of parameter.
     * @param subchain Description of parameter.
     *
     * @return Description of the returned value.
     */
    abstract int check(ContextData contextData, Subchain subchain);

    /**
     * Description of the method.
     *
     * @param contextData Description of parameter.
     * @param residue Description of parameter.
     *
     * @return Description of the returned value.
     */
    abstract int check(ContextData contextData, Residue residue);
}
