/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.styles;

import org.srs3d.viewer.j3d.ContextData;

/**
 * <code>AbstractStyle</code>.
 *
 * @author Karsten Klein
 *
 * @created July 11, 2001
 */
public abstract class AbstractStyle implements Style {
    private ContextData contextData = null;

    /**
     * <code>AbstractStyle</code> constructor.
     *
     * @param contextData Description of parameter.
     */
    public AbstractStyle(ContextData contextData) {
        this.contextData = contextData;
    }

    /**
     * Gets the <code>context</code> attribute of the <code>FirstImpressionStyle </code>
     * object.
     *
     * @return The <code>context</code> value.
     */
    public final ContextData getContextData() {
        return contextData;
    }
}
