/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.integration.event;

import java.awt.Color;

/**
 * Color event. The color event is based on
 *
 * @author Karsten Klein
 *
 * @created November 6, 2002
 */
public class ColorEvent extends SelectEvent {
    private Color color = null;
    private Object colorScheme = null;

    /**
     * ColorEvent constructor.
     *
     * @param source Description of parameter.
     * @param urns Description of parameter.
     * @param color Description of parameter.
     */
    public ColorEvent(String[] urns, Color color) {
        super(urns);
        this.color = color;
    }

    /**
     * Creates a new ColorEvent object.
     *
     * @param urns Parameter description.
     * @param colorScheme Parameter description.
     */
    public ColorEvent(String[] urns, Object colorScheme) {
        super(urns);
        this.colorScheme = colorScheme;
    }

    /**
     * Description of the method.
     *
     * @return Return parameter description.
     */
    public Color getColor() {
        return color;
    }

    /**
     * Description of the method.
     *
     * @return Return parameter description.
     */
    public Object getColorScheme() {
        return colorScheme;
    }
}
