/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.integration.event;


/**
 * Implementation of a select event. This implementation is based on the assumption that
 * all domain objects the client deals with can be identified by a URN.
 *
 * @author Karsten Klein
 *
 * @created September 23, 2002
 */
public class SelectEvent extends UrnEvent {

    /**
     * <code>SelectEvent</code> constructor.
     *
     * @param source Source of the event.
     * @param urns List of identifiers to be able to map objects.
     */
    public SelectEvent(String[] urns) {
        super(urns);
    }
}
