/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.integration.event;


/**
 * Description of the class.
 *
 * @author fries, LION bioscience AG
 *
 * @created November 5, 2002
 */
public abstract class UrnEvent extends ComponentEvent {
    private String[] urns = null;

    /**
     * Creates a new UrnEvent object.
     *
     * @param urns Parameter description.
     */
    public UrnEvent(String[] urns) {
        this.urns = urns;
    }

    /**
     * Description of the method.
     *
     * @return Return parameter description.
     */
    public String[] getUrns() {
        return urns;
    }

    /**
     * Checks whether the provided urn is included in the urn array of the select event.
     *
     * @param urn Description of parameter.
     *
     * @return Indicates inclusion.
     */
    public boolean includes(String urn) {
        for (int i = 0; i < urns.length; i++) {
            if (urns[i].equals(urn)) {
                return true;
            }
        }
        return false;
    }
}
