/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.integration.interfaces;


/**
 * Generic implementation of the DataProvider interface.
 *
 * @author Karsten Klein
 *
 * @created September 12, 2002
 */
public interface GenericDataProvider extends DataProvider {

    /**
     * Description of the method.
     *
     * @param key Description of parameter.
     * @param object Description of parameter.
     */
    public void set(Object key, Object object);

    /**
     * Description of the method.
     *
     * @param key Description of parameter.
     *
     * @return Description of the returned value.
     */
    public Object get(Object key);

    /**
     * Gets the <code>contract</code> attribute of the <code>GenericDataProvider</code>
     * object.
     *
     * @return The <code>contract</code> value.
     */
    public Contract getContract();
}
