/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.attributes;

import org.srs3d.viewer.objects.Attribute;

/**
 * Single instance attribute.
 *
 * @author Karsten Klein
 *
 * @created April 03, 2001
 */
public abstract class SingleInstanceAttribute extends Attribute {
    private Immutable immutable = new Immutable();

    /**
     * Constructor description.
     */
    public SingleInstanceAttribute() {

        // this instance should be the only instance in the VM
        registerSingleInstance();
    }

    /**
     * Method description.
     *
     * @param attribute Parameter description.
     *
     * @return Return description.
     */
    public boolean isEqual(Attribute attribute) {
        return (this == attribute);
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public Attribute copy() {
        return this;
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public Attribute.Immutable getImmutable() {
        return immutable;
    }

    /**
     * Class description.
     *
     * @author Karsten Klein, LION bioscience AG
     */
    public class Immutable extends Attribute.Immutable {
    }
}
