/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.behaviors;

import org.srs3d.viewer.j3d.ContextData;

/**
 * This abstract class intends to achive more lightweight mouse behaviors as subclasses.
 * The processStimulus is specialized on mouseEvent handling and a default PickCanvas
 * enhances the capabilities
 *
 * @author Karsten Klein, 11/2000
 *
 * @created March 20, 2001
 */
public abstract class MousePickBehavior extends MouseBehavior {

    /**
     * <code>MousePickBehavior</code> constructor.
     *
     * @param context Description of parameter.
     */
    public MousePickBehavior(ContextData contextData) {
        super(contextData);
    }
}
