/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.commands;

import java.util.Collection;
import java.util.HashSet;

import org.srs3d.viewer.j3d.ContextData;

/**
 * Select command. Completely outdated
 *
 * @author Karsten Klein
 *
 * @created April 03, 2001
 */
public class CollectCommand extends ObjectCommand {
    private Collection collection = null;

    /**
     * Constructor description.
     *
     * @param contextData Parameter description.
     * @param collection Parameter description.
     */
    public CollectCommand(ContextData contextData, Collection collection) {
        super(contextData);
        this.collection = collection;
    }

    /**
     * Constructor description.
     *
     * @param contextData Parameter description.
     */
    public CollectCommand(ContextData contextData) {
        super(contextData);
        collection = new HashSet();
    }

    /**
     * Method description.
     *
     * @param collection Parameter description.
     */
    public void setCollection(Collection collection) {
        this.collection = collection;
    }

    /**
     * Description of the method.
     */
    public void execute() {
        collection.add(getObject());
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public Collection getObjects() {
        return collection;
    }
}
