/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.commands;

import java.util.ArrayList;

import org.srs3d.viewer.j3d.ContextData;

/**
 * Visible command.
 *
 * @author Karsten Klein
 *
 * @created April 03, 2001
 */
public class IdentificationCommand extends ObjectCommand {
    public static boolean isVerbose = false;
    private ArrayList objects = null;
    private String objectId = null;

    /**
     * Constructor description.
     *
     * @param contextData Parameter description.
     * @param objects Parameter description.
     */
    public IdentificationCommand(ContextData contextData, ArrayList objects) {
        super(contextData);
        this.objects = objects;
    }

    /**
     * Description of the method.
     */
    public void execute() {

        // empty
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public String getObjectId() {
        return objectId;
    }

    /**
     * Method description.
     *
     * @param objectId Parameter description.
     */
    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public ArrayList getObjects() {
        return objects;
    }
}
