/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.loaders.raster3d;

import java.util.Vector;

/**
 * The AbstractPrimitive interface simply unifies the  specialized item types.
 *
 * @author Karsten Klein, 10/2000
 * @version 0.1
 */
public interface AbstractRaster3DPrimitive {

    /**
     * Method description.
     *
     * @param string Parameter description.
     *
     * @return Return description.
     */
    public boolean create(String string);

    /**
     * Supply primitive information. The subclasses implementation of this method is
     * supposed to contribute Shape3D objects or other Node objects to the branch. The
     * triangles and lines vector are used to accumulate Line and Triangle class
     * instances (also AbstractPrimitives) that are added to the Branch at a stage,
     * where the accumulation is complete.
     */
    public void supply(Vector lines, Vector triangles,
        javax.media.j3d.BranchGroup branch);
}
