/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.loaders.raster3d;


/**
 * Class description.
 *
 * @author Karsten Klein, LION bioscience AG
 */
public class PrimitiveFactory {
    public static final int TRIANGLE = 1;
    public static final int SPHERE = -2;
    public static final int CYLINDER_ROUND = -3;
    public static final int CYLINDER_FLAT = -5;
    public static final int PLANE = -6;
    public static final int TRIANGLE_NORMALS = 7;

    /**
     * creates an item instance of specified type
     */
    public static AbstractRaster3DPrimitive create(int type) {
        switch (type) {

            case TRIANGLE:
                return new Raster3DTriangle();

            case SPHERE:
                return new Raster3DSphere();

            case CYLINDER_ROUND:
                return new Raster3DCylinder();

            case CYLINDER_FLAT:
                return new Raster3DCylinder();

            //      case PLANE:             return new Plane();
            case TRIANGLE_NORMALS:
                return new Raster3DNormals();
        }
        return null;
    }
}
