/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.objects;

import java.util.ArrayList;
import java.util.Collection;

import javax.vecmath.Color3f;

import org.srs3d.viewer.j3d.Colorable;
import org.srs3d.viewer.objects.AbstractObject;

/**
 * Instances of this class describe a line that can be displayed in 3d.
 *
 * @author Karsten Klein
 *
 * @created March 20, 2001
 */
public class PointSet extends AbstractObject implements Colorable {
    private Collection points = new ArrayList();
    private String name = "<default>";
    Color3f color = new Color3f(1.0f, 1.0f, 1.0f);

    /**
     * Method description.
     *
     * @param name Parameter description.
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public String getName() {
        return name;
    }

    /**
     * Description of the method.
     *
     * @param point Parameter description.
     */
    public void addPoint(Point point) {
        points.add(point);
    }

    /**
     * Description of the method.
     *
     * @return Return parameter description.
     */
    public Collection getPoints() {
        return points;
    }

    /**
     * Description of the method.
     *
     * @return Return parameter description.
     */
    public Color3f getColor() {
        return color;
    }

    /**
     * Description of the method.
     *
     * @param color Parameter description.
     */
    public void setColor(Color3f color) {
        this.color = color;
    }
}
