/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.j3d.operations;

import org.srs3d.viewer.j3d.Context;
import org.srs3d.viewer.objects.AbstractObject;
import org.srs3d.viewer.objects.Operation;

/**
 * @author Karsten Klein
 *
 * @created June 28, 2001
 */
public class ParameterStringOperation extends Operation {
    private String parameterString = null;

    /**
     * Constructor description.
     *
     * @param context Parameter description.
     * @param id Parameter description.
     * @param parameterString Parameter description.
     * @param object Parameter description.
     */
    public ParameterStringOperation(Context context, String id,
        String parameterString, AbstractObject object) {
        super(context, id, object);
        setParameterString(parameterString);
    }

    /**
     * Constructor description.
     *
     * @param context Parameter description.
     * @param id Parameter description.
     * @param parameterString Parameter description.
     */
    public ParameterStringOperation(Context context, String id,
        String parameterString) {
        super(context, id, null);
        setParameterString(parameterString);
    }

    /**
     * Method description.
     *
     * @param parameterString Parameter description.
     */
    public void setParameterString(String parameterString) {
        this.parameterString = parameterString;
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public String getParameterString() {
        return parameterString;
    }
}
