/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.objects.visitors;

import java.util.Collection;
import java.util.Iterator;
import java.util.Vector;

import org.srs3d.viewer.objects.AbstractObject;

/**
 * Calls the update method on all visited objects.
 *
 * @author Karsten Klein
 * @version May 14, 2001
 */
public final class ObjectUpdater {

    /**
     * Updates the specified objects and all its descendants.
     *
     * @param object Description of parameter.
     */
    public void visit(AbstractObject object) {
        object.update();
        Collection children = new Vector();
        object.getAllObjects(children);
        Iterator iterator = children.iterator();
        while (iterator.hasNext()) {
            visit(((AbstractObject) iterator.next()));
        }
    }
}
