/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.sequence.creators;

import org.srs3d.viewer.annotation.attributes.AlignmentLayout;
import org.srs3d.viewer.annotation.contexts.AnnotationContextData;
import org.srs3d.viewer.annotation.objects.Alignment;
import org.srs3d.viewer.annotation.visitors.AbstractAlignmentLayoutCreator;

/**
 * Description of the class
 *
 * @author Chistian Zofka, LION bioscience AG
 *
 * @created December 20, 2001
 */
public class AlignmentGeometryCreator
    extends org.srs3d.viewer.annotation.creators.AlignmentGeometryCreator {

    /**
     * Gets the <code>alignmentLayoutCreator</code> attribute of the
     * <code>AlignmentGeometryCreator</code> object.
     *
     * @param alignment Description of parameter.
     *
     * @return The <code>alignmentLayoutCreator</code> value.
     */
    protected AbstractAlignmentLayoutCreator getAlignmentLayoutCreator(
        Alignment alignment) {
        return new org.srs3d.viewer.sequence.visitors.AlignmentLayoutCreator(alignment,
            0.0f);
    }

    /**
     * Description of the method.
     *
     * @param contextData Description of parameter.
     * @param alignment Description of parameter.
     * @param alignmentLayout Description of parameter.
     */
    protected void adjustZoomBox(AnnotationContextData contextData,
        AlignmentLayout alignmentLayout) {
        contextData.getContext().update();
    }
}
