/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.swing;

import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * Class description.
 *
 * @author Karsten Klein, LION bioscience AG
 */
public class JTextView extends JPanel implements StatusDisplay {
    private JScrollPane scrollPane = null;
    private JTextArea textArea = null;

    /** filename of the last file */
    private String filename = null;

    /**
     * Constructor description.
     */
    public JTextView() {
        super();
        setLayout(new BorderLayout());
        textArea = new JTextArea();
        scrollPane = new JScrollPane(textArea);
        scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
        scrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
        add(scrollPane, BorderLayout.CENTER);
        setAutoscrolls(true);
        scrollPane.setAutoscrolls(true);
        textArea.setEditable(false);
        textArea.setLineWrap(false);
        textArea.setFont(new Font("Arial", Font.BOLD, 10));
    }

    /**
     * Method description.
     */
    public void clear() {
        textArea.setText(null);
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public JScrollPane getScrollPane() {
        return scrollPane;
    }

    /**
     * Method description.
     *
     * @param string Parameter description.
     */
    public void setText(String string) {
        textArea.setText(string);
    }

    /**
     * Method description.
     *
     * @param status Parameter description.
     */
    public void setStatus(String status) {
        setText(status);
    }
}
