/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.swing;

import javax.swing.ToolTipManager;
import javax.swing.UIManager;

import org.srs3d.viewer.util.ExceptionHandler;

/**
 * @author Karsten Klein
 *
 * @created March 20, 2001
 */
public class SwingSettings {
    private static String lookAndFeel = null;

    //  private static LookAndFeel lookAndFeel = null;
    public static void update() {

        // additional swing settings
        ToolTipManager.sharedInstance().setLightWeightPopupEnabled(false);
        ToolTipManager.sharedInstance().setEnabled(true);
        if (lookAndFeel != null) {
            try {
                UIManager.setLookAndFeel(lookAndFeel);
            } catch (Exception e) {
                ExceptionHandler.handleException(e,
                    ExceptionHandler.SILENT_IN_RELEASE);
            }
        }

        // additional swing settings
        ToolTipManager.sharedInstance().setLightWeightPopupEnabled(false);
        ToolTipManager.sharedInstance().setEnabled(true);
    }

    /**
     * Method description.
     *
     * @param lookAndFeel Parameter description.
     */
    public static void setLookAndFeel(String lookAndFeel) {
        SwingSettings.lookAndFeel = lookAndFeel;
    }
}
