/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.util;


/**
 * Log implementation to make si package logging mechanism independent. Internal
 * pluggable logger may be replaced by an appropriate implementation.
 *
 * @author Karsten Klein
 */
public class Log {
    private static Class defaultLoggerClass = DefaultLogger.class;
    private PluggableLogger logger;

    /**
     * Constructor description.
     *
     * @param logObject Parameter description.
     */
    public Log(Class logObject) {
        try {
            logger = (PluggableLogger) defaultLoggerClass.newInstance();
            logger.setLogObject(logObject);
        } catch (Exception e) {
        }
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void trace(Object object) {
        logger.trace(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void debug(Object object) {
        logger.debug(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void info(Object object) {
        logger.info(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void warn(Object object) {
        logger.warn(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void error(Object object) {
        logger.error(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     */
    public void fatal(Object object) {
        logger.fatal(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param throwable Parameter description.
     */
    public void trace(Object object, Throwable throwable) {
        logger.trace(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param throwable Parameter description.
     */
    public void debug(Object object, Throwable throwable) {
        logger.debug(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param throwable Parameter description.
     */
    public void info(Object object, Throwable throwable) {
        logger.info(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param throwable Parameter description.
     */
    public void warn(Object object, Throwable throwable) {
        logger.warn(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param throwable Parameter description.
     */
    public void error(Object object, Throwable throwable) {
        logger.error(object);
    }

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param throwable Parameter description.
     */
    public void fatal(Object object, Throwable throwable) {
        logger.fatal(object);
    }

    /**
     * Method description.
     *
     * @param pluggableLoggerClass Parameter description.
     */
    public static void setDefaultLoggerClass(Class pluggableLoggerClass) {
        defaultLoggerClass = pluggableLoggerClass;
    }
}
