/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.vecmath;


/**
 * Class description.
 *
 * @author Karsten Klein, LION bioscience AG
 */
public class Constants {
    public static final double RECIPROCAL_LOG_2 = 1.0 / Math.log(2);

    /**
     * Method description.
     *
     * @param i Parameter description.
     *
     * @return Return description.
     */
    public static final int computeNextHigherPowerOf2(int i) {
        int v = (int) (Math.log(i) * RECIPROCAL_LOG_2);
        v = (int) Math.pow(2, v);
        if (v < i) {
            v *= 2;
        }
        return v;
    }

    /**
     * Method description.
     *
     * @param i Parameter description.
     *
     * @return Return description.
     */
    public static final float computeNextHigherPowerOf2(float i) {
        return (float) computeNextHigherPowerOf2((int) i);
    }
}
