/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.visualization;

import javax.vecmath.Tuple3f;
import javax.vecmath.Vector3f;

/**
 * Interface for sampling a volumes gradient.
 *
 * @author Karsten Klein
 *
 * @created April 26, 2001
 */
public interface GradientProperty {

    /**
     * Samples a volume at the specified position.
     *
     * @param position Position.
     *
     * @return Sampled color value.
     */
    public Vector3f getGradient(Tuple3f position);
}
