/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.visualization;

import javax.vecmath.Tuple3f;
import javax.vecmath.Vector3f;

/**
 * Class description.
 *
 * @author Karsten Klein, LION bioscience AG
 */
public class QuadricProperty implements ScalarProperty {
    private Vector3f factor = new Vector3f(1, 1, 1);

    /**
     * Method description.
     *
     * @param vector Parameter description.
     *
     * @return Return description.
     */
    public float getValue(Tuple3f vector) {
        float value = factor.x * vector.x * vector.x;
        value += factor.y * vector.y * vector.y;
        value += factor.z * vector.z * vector.z;
        return value;
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public Vector3f getFactor() {
        return new Vector3f(factor);
    }

    /**
     * Method description.
     *
     * @param factor Parameter description.
     */
    public void setFactor(Vector3f factor) {
        this.factor.set(factor);
    }
}
