/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.visualization;


/**
 * Description of the class.
 *
 * @author Karsten Klein
 *
 * @created April 27, 2001
 */
public class Sample {

    /** Scalar value for the sample */
    private float scalarValue = 0;

    /**
     * Sets the <code>scalarValue</code> attribute of the <code>Sample</code> object.
     *
     * @param scalarValue The new <code>scalarValue</code> value.
     */
    public void setScalarValue(float scalarValue) {
        this.scalarValue = scalarValue;
    }

    /**
     * Gets the <code>scalarValue</code> attribute of the <code>Sample</code> object.
     *
     * @return The <code>scalarValue</code> value.
     */
    public float getScalarValue() {
        return scalarValue;
    }
}
